IMPLEMENTATION MODULE Lib2;

FROM SYSTEM IMPORT BYTE, ADR, CAST;
IMPORT Lib, Types;

PROCEDURE Fill( VAR x: ARRAY OF BYTE; v: BYTE );
BEGIN
  Lib.Fill( ADR( x ), SIZE( x ), v );
END Fill;

PROCEDURE Compare( x-, y-: ARRAY OF BYTE ): CARDINAL;
VAR l: CARDINAL;
BEGIN
  l := SIZE( x );
  IF l > SIZE( y ) THEN l := SIZE( y ) END;
  RETURN Lib.Compare( ADR(x), ADR(y), l );
END Compare;

<* PUSH *> <* COVERFLOW - *>
PROCEDURE IncL( VAR x: Types.TLngCard; d: Types.TLngCard );
BEGIN
  INC( x, d );
END IncL;
<* POP *>


PROCEDURE Swap( x: Types.TCard ): Types.TCard;
BEGIN
  RETURN ( x DIV 100H ) + ( x MOD 100H ) * 100H;
END Swap;

PROCEDURE SwapL( x: Types.TLngCard ): Types.TLngCard;
BEGIN
  RETURN Types.TLngCard( Swap( Types.TCard( x DIV 10000H ) ) ) +
         Types.TLngCard( Swap( Types.TCard( x MOD 10000H ) ) ) * 10000H;
END SwapL;

END Lib2.
